=== debian/changelog ===
xtensor-python (0.11.0-1) unstable; urgency=medium

  * Fixup the watch regex
  * New upstream version 0.11.0
  * Rebase the patch queue
  * Build depends on xtensor >= 0.10.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 09 May 2017 19:32:54 +0100

xtensor-python (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * Refresh the patch queue
  * Build depends on xtensor >= 0.9.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 18 Apr 2017 21:47:28 +0100

xtensor-python (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Refresh the patch queue
  * Use ANY_VERSION substvar in watch file

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 15 Apr 2017 10:13:52 +0100

xtensor-python (0.9.2-2) unstable; urgency=medium

  * Add missing copyright information.
    Thanks to Chris Lamb (Closes: #860166)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 12 Apr 2017 14:55:40 +0100

xtensor-python (0.9.2-1) unstable; urgency=low

  * Initial release. (Closes: #858068)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 10 Apr 2017 19:05:41 +0100
