=== debian/control ===
Source: xtensor-python
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.1),
               debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               googletest <!nocheck>,
               pybind11-dev (>= 2.0.0) <!nocheck>,
               python3-breathe <!nodoc>,
               python3-dev <!nocheck>,
               python3-numpy <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               sphinx-common,
               xtensor-dev (>= 0.10.0) <!nocheck>
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/xtensor-python.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/xtensor-python.git
Homepage: http://quantstack.net/xtensor

Package: xtensor-python-dev
Architecture: all
Depends: ${misc:Depends},
         pybind11-dev (>= 2.0.0),
         xtensor-dev (>= 0.8.1)
Suggests: xtensor-python-doc <!nodoc>
Description: Python bindings for the xtensor library
 xtensor is a C++ library for multi-dimensional arrays enabling numpy-style
 broadcasting and lazy computing.
 .
 xtensor-python enables inplace use of numpy arrays in C++ with all the
 benefits from xtensor:
 .
   - C++ universal function and broadcasting
   - STL - compliant APIs.
   - A broad coverage of numpy APIs (see the numpy to xtensor cheat sheet).
 .
 The Python bindings for xtensor are based on the pybind11 C++ library, which
 enables seemless interoperability between C++ and Python.
 .
 This package provides the header-only library.

Package: xtensor-python-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for xtensor-python
 xtensor is a C++ library for multi-dimensional arrays enabling numpy-style
 broadcasting and lazy computing.
 .
 xtensor-python enables inplace use of numpy arrays in C++ with all the
 benefits from xtensor:
 .
   - C++ universal function and broadcasting
   - STL - compliant APIs.
   - A broad coverage of numpy APIs (see the numpy to xtensor cheat sheet).
 .
 The Python bindings for xtensor are based on the pybind11 C++ library, which
 enables seemless interoperability between C++ and Python.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>
