=== debian/changelog ===
xtensor-python (0.12.1-1ubuntu1) artful; urgency=medium

  * Make the autopkgtests pass with multiple supported Python 3 versions.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 03 Jul 2017 16:39:20 +0300

xtensor-python (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * Rebase the patch queue
  * Depends on xtensor >= 0.10.2
  * Mark xtensor-python-dev Multi-Arch: foreign
  * Do not build with -march=native
    - New patch No-march-native.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 19 May 2017 18:24:52 +0100
