=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: xtensor-python
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: libs
 Priority: optional
@@ -14,7 +15,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common,
-               xtensor-dev (>= 0.10.0) <!nocheck>
+               xtensor-dev (>= 0.10.2) <!nocheck>
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/xtensor-python.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/xtensor-python.git
@@ -22,9 +23,10 @@
 
 Package: xtensor-python-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          pybind11-dev (>= 2.0.0),
-         xtensor-dev (>= 0.8.1)
+         xtensor-dev (>= 0.10.2)
 Suggests: xtensor-python-doc <!nodoc>
 Description: Python bindings for the xtensor library
  xtensor is a C++ library for multi-dimensional arrays enabling numpy-style
