## xtensor-python 0.12.2

=== debian/changelog ===
xtensor-python (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2
  * Refresh the patch queue
  * Bump standards version to 4.0.1, no changes required
  * Add missing get-orig-source target

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 10 Aug 2017 17:36:17 +0100

xtensor-python (0.12.1-2) unstable; urgency=medium

  * Fix autopkgtest failure with multiple Py3 versions.
    Thanks to Dmitry Shachnev (Closes: #867026)
  * Bump standards version to 4.0.0, no changes required

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 09 Jul 2017 22:54:00 +0100
