=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xtensor-python
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: libs
 Priority: optional
@@ -16,7 +15,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common,
                xtensor-dev (>= 0.10.2) <!nocheck>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/xtensor-python.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/xtensor-python.git
 Homepage: http://quantstack.net/xtensor
