=== debian/rules ===
--- 
+++ 
@@ -38,3 +38,6 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
+
+get-orig-source:
+	uscan --download-current-version --force-download --no-symlink
