=== debian/changelog ===
xtensor-python (0.12.4-1) unstable; urgency=medium

  * New upstream version 0.12.4 (Closes: #871927)
  * Bump minimum xtensor version to 0.10.9
  * Drop superfluous CMake options
  * Mark xtensor-python-dev section libdevel
  * Mark xtensor-python-doc multiarch foreign

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 14 Aug 2017 00:59:00 +0100
