=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common,
-               xtensor-dev (>= 0.10.2) <!nocheck>
+               xtensor-dev (>= 0.10.9) <!nocheck>
 Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/xtensor-python.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/xtensor-python.git
@@ -23,9 +23,10 @@
 Package: xtensor-python-dev
 Architecture: all
 Multi-Arch: foreign
+Section: libdevel
 Depends: ${misc:Depends},
          pybind11-dev (>= 2.0.0),
-         xtensor-dev (>= 0.10.2)
+         xtensor-dev (>= 0.10.9)
 Suggests: xtensor-python-doc <!nodoc>
 Description: Python bindings for the xtensor library
  xtensor is a C++ library for multi-dimensional arrays enabling numpy-style
@@ -45,6 +46,7 @@
 
 Package: xtensor-python-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
