=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE = 1
 
-BUILD_OPTIONS = -DXTENSOR_PYTHON_CMAKECONFIG_INSTALL_DIR="lib/cmake/xtensor-python"
+BUILD_OPTIONS = -DCMAKE_INSTALL_LIBDIR="lib"
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
 BUILD_OPTIONS += -DBUILD_TESTS=ON \
