=== debian/tests/control ===
Test-Command: set -e
 ; cp -r test/* "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; rm -rf build
 ; mkdir build && cd build
 ; echo "Testing with gcc and $py:"
 ; CC=gcc CXX=g++ cmake -DGTEST_SRC_DIR="/usr/src/googletest" -DPYTHON_EXECUTABLE="/usr/bin/$py" ..
 ; make -j $(nproc) xtest
 ; done
Depends: cmake,
         g++,
         googletest,
         python3-all-dev,
         python3-numpy,
         xtensor-python-dev
Restrictions: allow-stderr

Test-Command: set -e
 ; cp -r test/* "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; rm -rf build
 ; mkdir build && cd build
 ; echo "Testing with clang and $py:"
 ; CC=clang CXX=clang++ cmake -DGTEST_SRC_DIR="/usr/src/googletest" -DPYTHON_EXECUTABLE="/usr/bin/$py" ..
 ; make -j $(nproc) xtest
 ; done
Depends: clang,
         cmake,
         googletest,
         python3-all-dev,
         python3-numpy,
         xtensor-python-dev
Restrictions: allow-stderr
