=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xtensor-python-$1\.tar\.gz/ \
https://github.com/QuantStack/xtensor-python/tags .*/v?(\d\S+)\.tar\.gz
